Xenial - ImportError: cannot import name NUM_CPUS

Bug #1537155 reported by Ryan Beisner on 2016-01-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Charm Helpers
High
James Page
cinder (Juju Charms Collection)
High
James Page
glance (Juju Charms Collection)
High
James Page
keystone (Juju Charms Collection)
High
James Page
neutron-api (Juju Charms Collection)
High
James Page
neutron-gateway (Juju Charms Collection)
High
James Page
nova-cloud-controller (Juju Charms Collection)
High
James Page
nova-compute (Juju Charms Collection)
High
James Page
swift-storage (Juju Charms Collection)
High
James Page

Bug Description

glance/next + keystone/next @ xenial-mitaka

Install hook fails:

2016-01-22 17:32:16 INFO install Unpacking python-psutil (3.4.1-1) ...
2016-01-22 17:32:16 INFO install Setting up python-psutil (3.4.1-1) ...
2016-01-22 17:32:16 INFO install Traceback (most recent call last):
2016-01-22 17:32:16 INFO install File "/var/lib/juju/agents/unit-glance-0/charm/hooks/install.real", line 537, in <module>
2016-01-22 17:32:16 INFO install assess_status(CONFIGS)
2016-01-22 17:32:16 INFO install File "/var/lib/juju/agents/unit-glance-0/charm/hooks/glance_utils.py", line 537, in assess_status
2016-01-22 17:32:16 INFO install configs, REQUIRED_INTERFACES, charm_func=check_optional_relations)
2016-01-22 17:32:16 INFO install File "/var/lib/juju/agents/unit-glance-0/charm/hooks/charmhelpers/contrib/openstack/utils.py", line 806, in set_os_workload_status
2016-01-22 17:32:16 INFO install incomplete_rel_data = incomplete_relation_data(configs, required_interfaces)
2016-01-22 17:32:16 INFO install File "/var/lib/juju/agents/unit-glance-0/charm/hooks/charmhelpers/contrib/openstack/utils.py", line 938, in incomplete_relation_data
2016-01-22 17:32:16 INFO install complete_ctxts = configs.complete_contexts()
2016-01-22 17:32:16 INFO install File "/var/lib/juju/agents/unit-glance-0/charm/hooks/charmhelpers/contrib/openstack/templating.py", line 295, in complete_contexts
2016-01-22 17:32:16 INFO install for i in six.itervalues(self.templates)]
2016-01-22 17:32:16 INFO install File "/var/lib/juju/agents/unit-glance-0/charm/hooks/charmhelpers/contrib/openstack/templating.py", line 120, in complete_contexts
2016-01-22 17:32:16 INFO install self.context()
2016-01-22 17:32:16 INFO install File "/var/lib/juju/agents/unit-glance-0/charm/hooks/charmhelpers/contrib/openstack/templating.py", line 105, in context
2016-01-22 17:32:16 INFO install _ctxt = context()
2016-01-22 17:32:16 INFO install File "/var/lib/juju/agents/unit-glance-0/charm/hooks/charmhelpers/contrib/openstack/context.py", line 1271, in __call__
2016-01-22 17:32:16 INFO install ctxt = {"workers": self.num_cpus * multiplier}
2016-01-22 17:32:16 INFO install File "/var/lib/juju/agents/unit-glance-0/charm/hooks/charmhelpers/contrib/openstack/context.py", line 1265, in num_cpus
2016-01-22 17:32:16 INFO install from psutil import NUM_CPUS
2016-01-22 17:32:16 INFO install ImportError: cannot import name NUM_CPUS
2016-01-22 17:32:17 INFO juju.worker.uniter.context context.go:579 handling reboot
2016-01-22 17:32:17 ERROR juju.worker.uniter.operation runhook.go:107 hook "install" failed: exit status 1
2016-01-22 17:32:17 DEBUG juju.worker.uniter modes.go:31 [AGENT-STATUS] failed: run install hook
2016-01-22 17:32:17 INFO juju.worker.uniter modes.go:569 ModeContinue exiting

Related branches

Ryan Beisner (1chb1n) wrote :

Reference:

Issue 451: Deprecate NUM_CPUS, TOTAL_PHYMEM and BOOT_TIME module constants
https://code.google.com/p/psutil/issues/detail?id=451

description: updated
David Ames (thedac) on 2016-01-23
Changed in glance (Juju Charms Collection):
status: New → Triaged
Changed in keystone (Juju Charms Collection):
status: New → Triaged
Changed in glance (Juju Charms Collection):
milestone: none → 16.04
Changed in keystone (Juju Charms Collection):
milestone: none → 16.04
Changed in glance (Juju Charms Collection):
importance: Undecided → Critical
Changed in keystone (Juju Charms Collection):
importance: Undecided → Critical
Changed in glance (Juju Charms Collection):
assignee: nobody → David Ames (thedac)
Changed in keystone (Juju Charms Collection):
assignee: nobody → David Ames (thedac)
David Ames (thedac) on 2016-01-23
Changed in glance (Juju Charms Collection):
status: Triaged → In Progress
Changed in keystone (Juju Charms Collection):
status: Triaged → In Progress
James Page (james-page) on 2016-01-28
Changed in cinder (Juju Charms Collection):
status: New → Triaged
Changed in charm-helpers:
status: New → Triaged
Changed in neutron-api (Juju Charms Collection):
status: New → Triaged
Changed in nova-cloud-controller (Juju Charms Collection):
status: New → Triaged
Changed in swift-storage (Juju Charms Collection):
status: New → Triaged
Changed in charm-helpers:
importance: Undecided → High
Changed in cinder (Juju Charms Collection):
importance: Undecided → High
Changed in neutron-api (Juju Charms Collection):
importance: Undecided → High
Changed in nova-cloud-controller (Juju Charms Collection):
importance: Undecided → High
Changed in swift-storage (Juju Charms Collection):
importance: Undecided → High
Changed in cinder (Juju Charms Collection):
milestone: none → 16.04
Changed in neutron-api (Juju Charms Collection):
milestone: none → 16.04
Changed in nova-cloud-controller (Juju Charms Collection):
milestone: none → 16.04
Changed in swift-storage (Juju Charms Collection):
milestone: none → 16.04
James Page (james-page) on 2016-01-29
Changed in charm-helpers:
assignee: nobody → James Page (james-page)
status: Triaged → In Progress
James Page (james-page) on 2016-01-29
Changed in charm-helpers:
status: In Progress → Fix Committed
James Page (james-page) on 2016-02-09
Changed in neutron-api (Juju Charms Collection):
assignee: nobody → James Page (james-page)
Changed in nova-cloud-controller (Juju Charms Collection):
assignee: nobody → James Page (james-page)
Changed in swift-storage (Juju Charms Collection):
assignee: nobody → James Page (james-page)
Changed in glance (Juju Charms Collection):
assignee: David Ames (thedac) → James Page (james-page)
Changed in keystone (Juju Charms Collection):
assignee: David Ames (thedac) → James Page (james-page)
Changed in cinder (Juju Charms Collection):
assignee: nobody → James Page (james-page)
James Page (james-page) on 2016-02-12
Changed in swift-storage (Juju Charms Collection):
status: Triaged → Fix Committed
Changed in glance (Juju Charms Collection):
status: In Progress → Fix Committed
Changed in keystone (Juju Charms Collection):
status: In Progress → Fix Committed
Changed in cinder (Juju Charms Collection):
status: Triaged → Fix Committed
Changed in neutron-api (Juju Charms Collection):
status: Triaged → Fix Committed
James Page (james-page) on 2016-02-12
Changed in nova-cloud-controller (Juju Charms Collection):
status: Triaged → In Progress
Changed in nova-compute (Juju Charms Collection):
status: New → In Progress
assignee: nobody → James Page (james-page)
importance: Undecided → High
Changed in neutron-gateway (Juju Charms Collection):
status: New → In Progress
importance: Undecided → High
assignee: nobody → James Page (james-page)
milestone: none → 16.04
Changed in nova-compute (Juju Charms Collection):
milestone: none → 16.04
James Page (james-page) on 2016-02-12
Changed in keystone (Juju Charms Collection):
importance: Critical → High
Changed in glance (Juju Charms Collection):
importance: Critical → High
Ryan Beisner (1chb1n) wrote :

Pardon my flip flop just a moment ago. ;-)

Changed in glance (Juju Charms Collection):
status: Fix Committed → Confirmed
Changed in keystone (Juju Charms Collection):
status: Fix Committed → Confirmed
Changed in cinder (Juju Charms Collection):
status: Fix Committed → Confirmed
status: Confirmed → Fix Committed
Changed in glance (Juju Charms Collection):
status: Confirmed → Fix Committed
Changed in keystone (Juju Charms Collection):
status: Confirmed → Fix Committed
James Page (james-page) on 2016-02-17
Changed in nova-cloud-controller (Juju Charms Collection):
status: In Progress → Fix Committed
Changed in nova-compute (Juju Charms Collection):
status: In Progress → Fix Committed
James Page (james-page) on 2016-02-18
Changed in neutron-gateway (Juju Charms Collection):
status: In Progress → Fix Committed
James Page (james-page) on 2016-04-22
Changed in glance (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in keystone (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in neutron-api (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in cinder (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in nova-cloud-controller (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in swift-storage (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in nova-compute (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in neutron-gateway (Juju Charms Collection):
status: Fix Committed → Fix Released
Changed in charm-helpers:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.